local gitsigns = require("gitsigns")
local dap = require("dap")
local dapui = require("dapui")
local bm = require("bookmarks")

return {
	{
		name = " Debug",
		hl = "Exblue",
		items = {
			{
				name = " Toggle breakpoint",
				cmd = dap.toggle_breakpoint,
				rtxt = "<leader>bb",
			},

			{
				name = " Run debug",
				cmd = dap.continue,
			},

			{
				name = " Run debug (Last)",
				cmd = dap.run_last,
			},

			{
				name = "󰫧 Eval",
				cmd = dapui.eval, -- require('dap.ui.widgets').hover()
			},

			{
				name = " Stack",
				cmd = function()
					require("dapui").float_element("stacks")
				end,
			},

			{
				name = " Breakpoints",
				cmd = function()
					-- require("dapui").float_element("breakpoints")
					-- require("dap.ui.widgets").hover()
					require("dapui").float_element("breakpoints")
				end,
			},

			{ name = "separator" },

			{
				name = " Step over",
				cmd = dap.step_over,
				rtxt = "<F5>",
			},

			{
				name = "󰆹 Step into",
				cmd = dap.step_into,
				rtxt = "<F6>",
			},

			{
				name = " Step out",
				cmd = dap.step_out,
				rtxt = "<F7>",
			},

			{
				name = " Continue",
				cmd = dap.continue,
				rtxt = "<F8>",
			},

			{ name = "separator" },

			{
				name = " Stop",
				cmd = dap.terminate,
			},

			{ name = "separator" },

			{
				name = "󰮂 Toggle UI",
				cmd = require("dapui").toggle,
			},
		},
	},

	{ name = "separator" },

	{
		name = "󰸖 Bookmarks",
		hl = "Exblue",
		items = {
			{
				name = "󰸖 List",
				cmd = require("telescope").extensions.bookmarks.list,
			},

			{
				name = "󱍻 Toggle",
				cmd = bm.bookmark_toggle,
				rtxt = "<leader>m",
			},
		},
	},

	{ name = "separator" },

	{
		name = " Preview change",
		cmd = gitsigns.preview_hunk,
		--	rtxt = "",
	},

	{
		name = "󰗨 Rest change",
		cmd = gitsigns.reset_hunk,
		--	rtxt = "",
	},

	{
		name = " Toggle blame",
		cmd = gitsigns.toggle_current_line_blame,
	},

	{
		name = "󰚃 Toggle delete",
		cmd = gitsigns.toggle_deleted,
	},

	{ name = "separator" },
}
